org.osgi.service.packageadmin

## Interface ExportedPackage

Deprecated.
The PackageAdmin service has been replaced by the `org.osgi.framework.wiring` package.

    public interface ExportedPackage

An exported package. Objects implementing this interface are created by the Package Admin service.

The term exported package refers to a package that has been exported from a resolved bundle. This package may or may not be currently wired to other bundles.

The information about an exported package provided by this object may change. An `ExportedPackage` object becomes stale if the package it references has been updated or removed as a result of calling `PackageAdmin.refreshPackages()`. If this object becomes stale, its `getName()` and `getVersion()` methods continue to return their original values, `isRemovalPending()` returns `true`, and `getExportingBundle()` and `getImportingBundles()` return `null`.

Author:
  $Id: f4cdb9e84ce788c16d5304166a2b9eeecb5fabf3 $

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Bundle` `getExportingBundle()` Deprecated. Returns the bundle exporting the package associated with this exported package.
`Bundle[]` `getImportingBundles()` Deprecated. Returns the resolved bundles that are currently wired to this exported package.
`String` `getName()` Deprecated. Returns the name of the package associated with this exported package.
`String` `getSpecificationVersion()` Deprecated. As of 1.2. Replaced by `getVersion()`.
`Version` `getVersion()` Deprecated. Returns the version of this exported package.
`boolean` `isRemovalPending()` Deprecated. Returns `true` if the package associated with this `ExportedPackage` object has been exported by a bundle that has been updated or uninstalled.

### Method Detail

#### getName

    String getName()

Deprecated.
Returns the name of the package associated with this exported package.

Returns:
  The name of this exported package.

#### getExportingBundle

    Bundle getExportingBundle()

Deprecated.
Returns the bundle exporting the package associated with this exported package.

Returns:
  The exporting bundle, or `null` if this `ExportedPackage` object has become stale.

#### getImportingBundles

    Bundle[] getImportingBundles()

Deprecated.
Returns the resolved bundles that are currently wired to this exported package.

Bundles which require the exporting bundle associated with this exported package are considered to be wired to this exported package are included in the returned array. See `RequiredBundle.getRequiringBundles()`.

Returns:
  The array of resolved bundles currently wired to this exported package, or `null` if this `ExportedPackage` object has become stale. The array will be empty if no bundles are wired to this exported package.

#### getSpecificationVersion

    String getSpecificationVersion()

Deprecated. As of 1.2. Replaced by `getVersion()`.
Returns the version of this exported package.

Returns:
  The version of this exported package, or `null` if no version information is available.

#### getVersion

    Version getVersion()

Deprecated.
Returns the version of this exported package.

Returns:
  The version of this exported package, or `Version.emptyVersion` if no version information is available.
Since:
  1.2

#### isRemovalPending

    boolean isRemovalPending()

Deprecated.
Returns `true` if the package associated with this `ExportedPackage` object has been exported by a bundle that has been updated or uninstalled.

Returns:
  `true` if the associated package is being exported by a bundle that has been updated or uninstalled, or if this `ExportedPackage` object has become stale; `false` otherwise.